> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bisonblock.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate New Addresses

> 生成新的充值地址。<br/>This endpoint generates new addresses for a given chain's slip44 and returns them in a JSON response. The number of addresses to generate can be specified in the request body. The endpoint checks if the user has permission to add new addresses and if the requested number of addresses is within the allowed limit. It also checks if the requested chain is supported and generates the addresses using the specified wallet. The response contains a list of generated addresses.



## OpenAPI

````yaml post /v1/wallet/address
openapi: 3.0.1
info:
  title: Custodial Wallet APIs
  description: Open APIs for BisonBlock Custodial Wallet
  license:
    name: Apache 2.0
  version: V1.0.0
servers:
  - url: https://sandbox-openapi.bisonblock.ai/api
    description: BisonBlock server url for Sandbox
security: []
paths:
  /v1/wallet/address:
    post:
      tags:
        - Wallets
      summary: Generate New Addresses
      description: >-
        This endpoint generates new addresses for a given chain's slip44 and
        returns them in a JSON response. The number of addresses to generate can
        be specified in the request body. The endpoint checks if the user has
        permission to add new addresses and if the requested number of addresses
        is within the allowed limit. It also checks if the requested chain is
        supported and generates the addresses using the specified wallet. The
        response contains a list of generated addresses.
      operationId: address
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ApiWalletAddressReq'
        required: true
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ResultListApiWalletAddressRes'
      security:
        - BIZ-API-KEY: []
          BIZ-API-NONCE: []
          BIZ-API-SIGNATURE: []
components:
  schemas:
    ApiWalletAddressReq:
      required:
        - slip44
      type: object
      properties:
        slip44:
          minimum: 0
          type: integer
          description: >-
            Chain's slip44 code, such as Bitcoin is 0, Ethereum is 60, Tron is
            195. Refer to [Registered coin
            types](https://github.com/satoshilabs/slips/blob/master/slip-0044.md)
          format: int64
        num:
          maximum: 200
          minimum: 1
          type: integer
          description: The number of addresses to generate, default is 1
          format: int32
    ResultListApiWalletAddressRes:
      type: object
      properties:
        code:
          type: integer
          format: int32
          description: 0 is for success, others are for failure
        data:
          type: array
          items:
            $ref: '#/components/schemas/ApiWalletAddressRes'
        msg:
          type: string
    ApiWalletAddressRes:
      type: object
      properties:
        address:
          type: string
          description: Address for deposits
  securitySchemes:
    BIZ-API-KEY:
      type: apiKey
      in: header
      name: BIZ-API-KEY
      description: This field contains the API key.
    BIZ-API-NONCE:
      type: apiKey
      in: header
      name: BIZ-API-NONCE
      description: This field contains the nonce.
    BIZ-API-SIGNATURE:
      type: apiKey
      in: header
      name: BIZ-API-SIGNATURE
      description: This field contains the signature.

````